std::range_error(3)

NAME
std::range_error

SYNOPSIS

Inherits std::runtime_error.

  Public Member Functions
range_error (const char *) _GLIBCXX_TXN_SAFE
range_error (const range_error &)=default
range_error (const string &__arg) _GLIBCXX_TXN_SAFE
range_error (range_error &&)=default
range_error & operator= (const range_error &)=default
range_error & operator= (range_error &&)=default
virtual const char * what () const noexcept

Detailed Description

Thrown to indicate range errors in internal computations.

Definition at line 258 of file stdexcept.

Author

Generated automatically by Doxygen for libstdc++ from the source code.